package _VisualDVM.ProjectData.SapforData.Includes.UI;
import Common.Visual.Trees.SelectableTree;
import _VisualDVM.Global;
import _VisualDVM.ProjectData.SapforData.Includes.Analysis.FileInfo;
import _VisualDVM.Visual.Menus.SelectionTreeMenu;
public class IncludesMenu extends SelectionTreeMenu {
    public IncludesMenu(SelectableTree tree_in) {
        super(tree_in);
    }
    @Override
    public Class getTargetClass() {
        return FileInfo.class;
    }
    @Override
    public void SelectAll(boolean select) {
        for (FileInfo fi : Global.mainModule.getProject().addictedFiles.values())
            fi.SelectAllChildren(select);
    }
}
